import { ElementRef, Renderer2, AfterViewInit, OnChanges } from '@angular/core';
export declare class NgxSlideshowComponent implements AfterViewInit, OnChanges {
    renderer: Renderer2;
    cards: number;
    padding: string;
    cardSize: string;
    resizeViewport: boolean;
    index: number;
    min: number;
    max: number;
    private viewSize;
    private trueCardSize;
    private truePaddingSize;
    viewport: ElementRef;
    slides: ElementRef;
    SWIPE_ACTION: {
        LEFT: string;
        RIGHT: string;
    };
    constructor(renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    right(): void;
    left(): void;
    goTo(i: number): void;
    leftBy(i: number): void;
    rightBy(i: number): void;
    private calc(newIndex);
    private setLeft();
    swipe(action?: string): void;
    private endsWith(str, searchStr);
    private onResize();
}
